import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Formik } from 'formik';
import { useRef } from 'react';
import { Modal } from 'react-science/ui';
import { DataExportStage, exportAsJcamp, } from '../../data/SpectraManager';
import ActionButtons from '../elements/ActionButtons';
import FormikCheckBox from '../elements/formik/FormikCheckBox';
import FormikSelect from '../elements/formik/FormikSelect';
import { useAlert } from '../elements/popup/Alert';
const initValues = {
    onlyReal: true,
    dataExportStage: 'PROCESSED',
};
const styles = {
    container: {
        width: '25em',
        padding: '1.5em 3em',
        display: 'flex',
        flexDirection: 'column',
    },
    row: {
        display: 'flex',
        paddingBottom: '0.5em',
    },
    label: {
        flex: 6,
        fontSize: '1em',
        fontWeight: 'bold',
    },
    innerContainer: {
        flex: 6,
        justifyContent: 'flex-start',
    },
};
const DATA_STAGES = Object.keys(DataExportStage).map((key) => ({
    label: key,
    value: DataExportStage[key],
}));
function ExportAsJcampModal(props) {
    const { closeDialog, spectrum } = props;
    const refForm = useRef(null);
    const alert = useAlert();
    function submitHandler(options) {
        void (async () => {
            const hideLoading = await alert.showLoading('export as JCAMP-DX in progress');
            try {
                exportAsJcamp(spectrum, options);
            }
            catch (error) {
                alert.error(error.message);
            }
            finally {
                closeDialog?.();
                hideLoading();
            }
        })();
    }
    return (_jsxs(Modal, { hasCloseButton: true, isOpen: true, onRequestClose: closeDialog, children: [_jsx(Modal.Header, { children: _jsx("span", { children: "Export as JCAMP" }) }), _jsx(Modal.Body, { children: _jsx("div", { children: _jsx(Formik, { innerRef: refForm, initialValues: initValues, onSubmit: submitHandler, children: _jsxs("div", { style: styles.container, children: [_jsxs("div", { style: styles.row, children: [_jsx("span", { style: styles.label, children: " Data " }), _jsx("div", { style: styles.innerContainer, children: _jsx(FormikSelect, { name: "dataExportStage", items: DATA_STAGES, style: { width: '100%' } }) })] }), _jsxs("div", { style: styles.row, children: [_jsx("span", { style: styles.label, children: " Only real " }), _jsx("div", { style: styles.innerContainer, children: _jsx(FormikCheckBox, { name: "onlyReal" }) })] })] }) }) }) }), _jsx(Modal.Footer, { children: _jsx("div", { style: { display: 'flex', justifyContent: 'flex-end' }, children: _jsx(ActionButtons, { style: { flexDirection: 'row-reverse', margin: 0 }, onDone: () => refForm.current?.submitForm(), doneLabel: "export", onCancel: () => {
                            closeDialog?.();
                        } }) }) })] }));
}
export default ExportAsJcampModal;
